@layer styles {
  theplanner-sticky-header {
    display: block;
    position: relative;
  }

  .header {
    position: relative;
  }

  .header__image {
    width: 100%;
    height: 18rem;
    object-fit: cover;
    z-index: var(--z-index__header-image);
  }

  .header__image--prominent {
    height: 100vh;
  }

  .header__sticky-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    transition:
      background-color var(--transition-speed),
      box-shadow var(--transition-speed);
    z-index: var(--z-index__sticky-header);
  }

  theplanner-sticky-header[data-scrolled] .header__sticky-wrapper {
    background-color: white;
    box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.25);
  }

  .header__top {
    padding-left: var(--page__margin);
    padding-right: var(--page__margin);
    align-items: center;
    box-sizing: border-box;
    display: grid;
    gap: var(--space--medium);
    grid-template-columns: 1.3rem 1fr;
    justify-content: space-between;
    padding-bottom: var(--space--small);
    padding-top: var(--space--small);
    max-width: var(--grid-row__max-width);
    margin-left: auto;
    margin-right: auto;
  }

  @media (min-width: 600px) {
    .header__top {
      gap: 0;
      grid-template-columns: 1fr auto 1fr;
    }
  }

  @media (min-width: 1200px) {
    .header__top {
      grid-template-columns: 1fr auto;
    }
  }

  .header__top-logotype {
    justify-self: flex-end;
    max-width: 16rem;
    opacity: 0;
    text-decoration: none;
    transition: opacity var(--transition-speed);
  }

  theplanner-sticky-header[data-scrolled] .header__top-logotype {
    opacity: 1;
  }

  @media (min-width: 600px) {
    .header__top-logotype {
      width: 100%;
    }
  }

  @media (min-width: 1200px) {
    .header__top-logotype {
      max-width: 10rem;
    }
  }

  .header__logotype {
    max-width: 100%;
  }

  .header__logotype--with-border {
    border-bottom: var(--border__thickness--light) solid;
    border-color: var(--color__border);
    padding-bottom: 0.625rem;
  }

  .header__logotype-wrapper {
    display: block;
    left: 0;
    margin-left: auto;
    margin-right: auto;
    max-width: 25rem;
    opacity: 1;
    position: absolute;
    right: 0;
    text-align: center;
    text-decoration: none;
    top: 10rem;
    transition: opacity var(--transition-speed);
    width: 80vw;
  }

  theplanner-sticky-header[data-scrolled] .header__logotype-wrapper {
    opacity: 0;
  }

  theplanner-menu[data-open] ~ a.header__logotype-wrapper,
  theplanner-menu[data-open] + a.header__logotype-wrapper {
    z-index: var(--z-index__behind-menu);
  }

  @media (min-width: 600px) {
    .header__logotype-wrapper {
      max-width: 32rem;
    }
  }

  .header__business-areas {
    color: var(--color__font);
    font-size: 1.2rem;
    line-height: 1;
    margin-top: 0.45rem;
  }

  /* Hamburger + menu */

  theplanner-menu {
    display: contents;
  }

  .header__hamburger {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    font-size: 1.5rem;
    justify-self: start;
    line-height: 1;
    color: var(--color__font);
  }

  theplanner-menu[data-open] .header__hamburger {
    font-size: 2rem;
    line-height: 0.75;
    z-index: var(--z-index__hamburger-button);
    position: relative;
  }

  .header__nav {
    display: none;
  }

  theplanner-menu[data-open] .header__nav {
    background: white;
    border: 0.5px solid var(--color__border);
    display: inline-block;
    left: 0;
    opacity: 0.95;
    padding-left: var(--space--small);
    padding-right: var(--space--small);
    position: absolute;
    top: 4.5rem;
    z-index: var(--z-index__sticky-header);
  }

  .header__nav-item {
    color: var(--color__font);
    display: block;
    font-weight: 400;
    letter-spacing: 0.04rem;
    text-decoration: none;
    text-transform: uppercase;
  }

  theplanner-menu[data-open] .header__nav-item {
    padding: var(--space--small);
  }

  theplanner-menu[data-open] .header__nav-item:not(:last-child) {
    border-bottom: 0.5px solid var(--color__border);
  }

  theplanner-menu[data-open] .header__nav-item:hover {
    color: var(--color__theme);
    font-weight: 700;
    text-decoration: underline;
  }

  .header__nav-item[aria-current='page'] {
    color: var(--color__theme);
  }

  @media (min-width: 1200px) {
    .header__hamburger {
      display: none;
    }

    .header__nav {
      display: flex;
      align-items: center;
    }

    .header__nav-item {
      padding: 0.5rem 1rem;
    }

    .header__nav-item:hover {
      text-decoration: underline;
    }

    .header__nav-item:first-child {
      padding-left: 0;
    }

    .header__nav-item:last-child {
      padding-right: 0;
    }

    .header__nav-item:not(:last-child) {
      border-right: var(--border__thickness--light) solid black;
    }
  }
}
